New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2200 (bdyvol not working) – NEMO

Opened 4 years ago

Closed 4 years ago

Last modified 10 months ago

#2200 closed Defect (fixed)

bdyvol not working

Reported by: mathiot Owned by: mathiot
Priority: low Milestone: 2018 release-4.0
Component: BDY Version: trunk
Severity: minor Keywords: BDY v4.0
Cc:

Description

Context

The volume conservation with bdy is not call since dynspg_flt had been removed. Furthermore, it needs to be adapted for time-splitting.

Analysis

  • bdyvol need to be adapted to work with barotropic velocity
  • a call need to be add in dynspg_ts

Suggestion

  • Move the computation of bdy surface area in a function bdy_segs_surf(phu, phv) in bdyini module (need to be computed each time in case of non linear free surface)
    • area computation done once for all in bdyini if ln_linssh
    • area computation done each time if not ln_linssh
  • Adapt bdyvol:
    • work with barotropic velocity instead of 3d velocity
    • compute total surface fluxes (nn_volctl == 1) only for the first time step (jn == 1) of each cycle in dynspg_ts (it does not change during a cycle)
    • compute ztranst only when we want to write out some informations
  • call bdyvol in dynspg_ts as suggested in code comments (ie in 'after ssh section' before computed fluxes at jn+0.5)

Commit History (6)

ChangesetAuthorTimeChangeLog
10486mathiot2019-01-09T18:43:28+01:00

rm branch used for the fix for ticket #2200 (code back to the trunk in r10481)

10481mathiot2019-01-09T17:31:56+01:00

fix ticket #2200

10480mathiot2019-01-09T12:28:32+01:00

add comments in bdyvol (ticket #2200)

10470mathiot2019-01-08T13:10:10+01:00

update bdyvol documentation (ticket #2200)

10455mathiot2019-01-04T19:34:14+01:00

suggestion for ticket #2200 (bdyvol)

10454mathiot2019-01-04T17:53:59+01:00

Branch for ticket #2200

Attachments (1)

review_bdyvol.pdf (124.0 KB) - added by deazer 4 years ago.
Review of bdyvol code

Download all attachments as: .zip

Change History (10)

comment:1 Changed 4 years ago by mathiot

In 10454:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 4 years ago by mathiot

In 10455:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 4 years ago by mathiot

In 10470:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 4 years ago by mathiot

In 10480:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

Changed 4 years ago by deazer

Review of bdyvol code

comment:5 Changed 4 years ago by deazer

Added review of code below:
https://forge.ipsl.jussieu.fr/nemo/attachment/ticket/2200/review_bdyvol.pdf

Code is adapted for time-splitting and 2d barotropic correction.

Works for cases other than tides+time split(flather case),
for now just a stop is added should the user have this combination.

Code fits NEMO standard, documentation also updated to reflect code changes.

comment:6 Changed 4 years ago by mathiot

In 10481:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 4 years ago by mathiot

  • Resolution set to fixed
  • Status changed from new to closed

comment:8 Changed 4 years ago by mathiot

In 10486:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 10 months ago by nemo

  • Keywords v4.0 added; removed
Note: See TracTickets for help on using tickets.